﻿Type=Class
Version=5.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private mqtt As MqttClient
	Private connected As Boolean
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	mqtt.Initialize("mqtt", Main.MqttUri, "android")
	mqtt.Connect
End Sub

Private Sub mqtt_Connected (Success As Boolean)
	Log($"MQTT connected: ${Success}"$)
	connected = Success
End Sub

Public Sub SendCommand(data() As Byte)
	If connected = False Then
		LogColor("Not connected", Colors.Red)
		Return
	End If
	mqtt.Publish2("desktop", data, 0, False)
End Sub